Subject: Re: bug#27305: terminology: sudo unable to function

From: ng0 <[email-masked]>
Date: Sat, 10 Jun 2017 18:21:10 +0000

ng0 transcribed 1.7K bytes:
> While insinde E21 / Enlightenment I can run sudo emacs /bare-bones.scm
> in xterm and in rxvt-unicode without errors and with expected behavior,
> but inside terminology it produces this:
> 
> user@abyayala ~$ sudo emacs /bare-bones.scm
> sudo: effective uid is not 0, is /run/setuid-programs/sudo on a file system with the 'nosuid' option set or an NFS file system without root privileges?
> user@abyayala ~$
> 
> 
> I've seen an sudo programm (module) for Enlightenment, but running a
> command in terminal emulator should't require a graphical sudo.
> I don't know what's wrong here.
> -- 
> ng0
> OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588

This seems to be an issue related to the WM, not the terminology.

In spectrwm with terminology I am unable to reproduce it:

user@abyayala ~$ sudo ping gnu.org
Password:
PING gnu.org (208.118.235.148): 56 data bytes
64 bytes from 208.118.235.148: icmp_seq=0 ttl=46 time=154.304 ms
64 bytes from 208.118.235.148: icmp_seq=1 ttl=46 time=152.842 ms
^C--- gnu.org ping statistics ---
2 packets transmitted, 2 packets received, 0% packet loss
round-trip min/avg/max/stddev = 152.842/153.573/154.304/0.731 ms
user@abyayala ~$ env
[…]
LD_PRELOAD=/gnu/store/5ks40a50kjqg9zqx2jswhl29120jcr20-spectrwm-3.0.2/lib/libswmhack.so.0.0

-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588